## cyrus-imapd-2.4 2.4.8

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.8-7) unstable; urgency=low

  * More Hurd fixes; Conditionally #define MAXHOSTNAMELEN
  * Add Breaks/Replaces cyrus-common-2.4 (<< 2.4.8-6) to cyrus-
    {imapd,replication}-2.4 to fix upgrade breakage on moved man pages
    (Closes: #627143)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2011 10:28:55 +0200

cyrus-imapd-2.4 (2.4.8-6) unstable; urgency=low

  * cyrus-makedirs also need /usr/sbin/cyrus and
    /usr/lib/cyrus/bin/makedirs to be moved to cyrus-common
  * Install manpages with cyrus- prefix to correct packages
  * Add a note about automatic upgrade (Closes: #626759)
  * Define PATH_MAX as 4096 on platforms which doesn't have it defined
    (fixes Hurd build)
  * Move the upgrade login to cyrus-common-2.4.postinst as it depends on
    cyrus-common-2.4 files
  * Force removal of *.active files in postrm script
  * Move dbX.Y-util back to Depends to be safe
  * Move to more standard debconf setup to fix breakage in postrm script

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 May 2011 10:57:43 +0200

cyrus-imapd-2.4 (2.4.8-5) unstable; urgency=low

  * Add some double lintian-overrides to clean the ./usr vs usr
    confusion
  * Remove patch to remove unused Berkeley DB environment
    (Closes: #626418)
  * Add ptclient binaries (Closes: #626553)
  * Add dependency on libsasl2-modules to fix timsieved
  * Move cyrus-makedirs to cyrus-common package where it belongs
    (fixes piuparts and postinst error)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 14 May 2011 22:17:37 +0200

cyrus-imapd-2.4 (2.4.8-4) unstable; urgency=low

  * Fix crash when removing unused Berkeley DB environment
    + Use new dbenv handle for DB_ENV->remove
    + Call DB_ENV->get_home before closing the environment
    (Closes: #626418)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 May 2011 09:02:05 +0200

cyrus-imapd-2.4 (2.4.8-3) unstable; urgency=low

  * Use default values in case of missing /etc/imapd.conf
  * Add lintian-overrides for the /etc/init.d/cyrus-imapd magick
  * Bump standards version to 3.9.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2011 18:10:25 +0200

cyrus-imapd-2.4 (2.4.8-2) unstable; urgency=low

  * Remove versioned dependency on archaic version perl, remove extra
    dependency on libextutils-parsexs-perl
  * Remove /var/run/cyrus/socket from package, it gets installed by the
    init.d script
  * Update fr.po (Closes: #620628)
  * Make cyrus-upgrade-db conformant with Berkeley DB guidelines for
    upgrading
  * Remove unused Berkeley DB environment
  * Move init.d file handling to debhelper, cyrus-common installs the
    file, cyrus-common-2.x invokes it (Closes: #622367)
  * Untangle circular dependency (Closes: #622607)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2011 17:56:40 +0200

cyrus-imapd-2.4 (2.4.8-1) unstable; urgency=low

  * Imported Upstream version 2.4.8
  * Debian packaging:
    + Refreshed quilt patches for new upstream 2.4.8
    + Build-depend just on plain "libdb-dev"

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2011 10:24:20 +0200

cyrus-imapd-2.4 (2.4.7-6) unstable; urgency=low

  * Bug #620628: Fix FR translation (Christian Perrier)
  * Do automatic upgrades of the database backends (Closes: #620321)
    + Install cyrus-upgrade-db script to cyrus-common package as
      /usr/lib/cyrus/bin/upgrade-db
    + Add dependency on db4.7-util (squeeze), db4.8-util (old sid) and
      db5.1-util (new sid) to allow automatic backend db upgrades.
    + Make triggered actions more verbose
    + Remove implicit triggers, all are called explicitly
    + Move more upgrade logic to cyrus-common.postinst
    + Don't fail if the database file doesn't exist
    + Trigger on files installed to /usr/lib/cyrus/
  * Remove debconf from cyrus-common-2.4.postinst

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Apr 2011 16:40:32 +0200

cyrus-imapd-2.4 (2.4.7-5) unstable; urgency=low

  * Add support for starting cyrus-imapd-2.2 (Closes: #620839)
  
 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Apr 2011 23:57:45 +0200

cyrus-imapd-2.4 (2.4.7-4) unstable; urgency=low

  * Rework postinst files to use dpkg-trigger to run cyrus-makedirs
    and (re)start cyrmaster
  * Update depends on cyrus-common (2.4.7-4~) with triggers
  * Add some missing files to the packages (Closes: #620325)
  * Fix error in .NAME section to allow lexgrog parsing
  * Update description for metapackages to be shorter than 80 characters

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Apr 2011 13:14:42 +0200

cyrus-imapd-2.4 (2.4.7-3) unstable; urgency=low

  * Install cyrus-common and cyrus-common-2.4 files to debian/tmp first,
    then let the dh_install take over.  This fixes binary only builds.
    (Closes: #620261)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2011 20:08:28 +0200

cyrus-imapd-2.4 (2.4.7-2) unstable; urgency=low

  * Fix cyrmaster -j (janitor) segfault (cherry-pick from 2.2)
  * Add NEWS content about upgrade from 2.2 to 2.4
  * Fix missing initial / when purging the cyrus-common package
  * Move cyrus-imapd version independent files to a generic cyrus-common.
    This is preliminary work which will allow us to depend cyrus-common-*
    on generic cyrus-common for seamless upgrades between major versions.
  * Update po files for cyrus-common

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2011 15:43:12 +0200

cyrus-imapd-2.4 (2.4.7-1) unstable; urgency=low

  * Imported Upstream version 2.4.7 (cleaned version)
  * Debian packaging:
    + Refreshed patches for 2.4.7 release
    + Start using pristine-tar

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Mar 2011 17:30:31 +0200

cyrus-imapd-2.4 (2.4.6-3) unstable; urgency=low

  * Build system:
    + Add some extra CFLAGS, with support for noopt in DH_OPTIONS
    + Update build depends, add libtool and autoconf
    + Enable PIE hardening option
    + Build with shared libcom_err to allow PIE hardening option
    + Reformat Uploaders field in debian/control

