=== debian/control ===
Source: cyrus-imapd-2.4
Section: mail
Priority: extra
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
	   Sven Mueller <sven@debian.org>,
	   Benjamin Seidenberg <benjamin@debian.org>,
	   Ondřej Surý <ondrej@debian.org>,
	   Christoph Berg <myon@debian.org>,
	   Anthony Prades <toony.debian@chezouam.net>
Standards-Version: 3.9.2
Build-Depends: autoconf,
	       automake,
	       autotools-dev,
	       bison,
	       comerr-dev,
	       debhelper (>= 7.0.50~),
	       flex,
	       ghostscript,
	       groff,
	       hardening-wrapper,
	       libdb-dev,
	       libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
	       libldap2-dev,
	       libpam0g-dev,
	       libsasl2-dev (>= 2.1.9),
	       libsnmp-dev,
	       libssl-dev,
	       libtool (>= 2.2~),
	       libwrap0-dev,
	       libzephyr-dev,
	       perl,
	       po-debconf,
	       quilt (>> 0.46-7~),
	       transfig,
	       xutils-dev
Vcs-Git: git://git.debian.org/git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
Vcs-Browser: http://git.debian.org/?p=git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
Homepage: http://www.cyrusimap.org/

Package: cyrus-common-2.4
Architecture: any
Section: mail
Depends: cyrus-common (>= ${source:Version}~), ssmtp | mail-transport-agent, netbase (>= 4.07), gawk, libsasl2-modules, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.4 | cyrus-pop3d-2.4 | cyrus-murder-2.4 | cyrus-nntpd-2.4 | cyrus-admin-2.4
Suggests: cyrus-clients-2.4, cyrus-admin-2.4, cyrus-imapd-2.4, cyrus-pop3d-2.4, cyrus-murder-2.4, cyrus-replication-2.4, cyrus-nntpd-2.4, cyrus-doc-2.4, sasl2-bin, apt-listchanges (>= 2.35)
Provides: cyrus-common-2.2, cyrus-common-2.3
Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50), cyrus-common-2.2, cyrus-common-2.3
Replaces: cyrus-common-2.2, cyrus-common-2.3
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd-2.4 and/or cyrus-pop3d-2.4 packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder-2.4 can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication-2.4
 can be used to provide server replication between two imap servers.

Package: cyrus-doc-2.4
Architecture: all
Section: doc
Depends: ${misc:Depends}
Provides: cyrus-doc, cyrus-doc-2.2, cyrus-doc-2.3
Conflicts: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2, cyrus-doc-2.3
Replaces: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2, cyrus-doc-2.3
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-imapd-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-imapd, imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
Conflicts: cyrus-imapd (<< ${source:Version}), imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
Replaces: cyrus-imapd (<< ${source:Version}), cyrus-imapd-2.2, cyrus-imapd-2.3, cyrus-common-2.4 (<< 2.4.8-6)
Breaks: cyrus-common (<< 2.4.8-6)
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-pop3d-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-pop3d, pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
Replaces: cyrus-pop3d (<< ${source:Version}), cyrus-pop3d-2.2, cyrus-pop3d-2.3
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-admin-2.4
Architecture: all
Section: mail
Depends: libcyrus-imap-perl24 (>= ${binary:Version}), ${misc:Depends}
Suggests: sasl2-bin
Provides: cyrus-admin, cyrus-admin-2.2, cyrus-admin-2.3
Conflicts: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2, cyrus-admin-2.3
Replaces: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2, cyrus-admin-2.3
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-murder-2.4
Section: mail
Architecture: any
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.4 (= ${binary:Version}), cyrus-pop3d-2.4 (= ${binary:Version})
Provides: cyrus-murder, cyrus21-murder, cyrus22-murder, cyrus-murder-2.2, cyrus-murder-2.3
Conflicts: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2, cyrus-murder-2.3
Replaces: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2, cyrus-murder-2.3
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-replication-2.4
Section: mail
Architecture: any
Depends: cyrus-common-2.4 (= ${binary:Version}), cyrus-imapd-2.4 (= ${binary:Version}) | cyrus-pop3d-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-replication
Replaces: cyrus-replication (<< ${source:Version}), cyrus-common-2.4 (<< 2.4.8-6)
Conflicts: cyrus-replication (<< ${source:Version})
Breaks: cyrus-common-2.4 (<< 2.4.8-6)
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-nntpd-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-nntpd, news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
Replaces: cyrus-nntpd (<< ${source:Version}), cyrus-nntpd-2.2, cyrus-nntpd-2.3
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-clients-2.4
Architecture: any
Section: mail
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-clients, cyrus-clients-2.2, cyrus-clients-2.3
Conflicts: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2, cyrus-clients-2.3
Replaces: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2, cyrus-clients-2.3
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-dev-2.4
Architecture: any
Section: devel
Depends: libcyrus-imap-perl24 (>= ${binary:Version}), cyrus-common-2.4 (= ${binary:Version}), libsasl2-dev (>= 2.1.9), ${misc:Depends}
Provides: cyrus-dev, cyrus-dev-2.2, cyrus-dev-2.3
Conflicts: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2, cyrus-dev-2.3, libdb3-dev (<< 3.2.9-15), libdb2-dev (<< 2.7.7.0-6), libdb4.2-dev (<<4.2.52)
Replaces: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2, cyrus-dev-2.3
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-common
Architecture: all
Depends: ${misc:Depends}, adduser, db4.7-util, db4.8-util, db5.1-util
Conflicts: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
Replaces: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd-2.4 and/or cyrus-pop3d-2.4 packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder-2.4 can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication-2.4
 can be used to provide server replication between two imap servers.

Package: libcyrus-imap-perl24
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: libcyrus-imap-perl, libcyrus-imap-perl22, libcyrus-imap-perl23
Conflicts: libcyrus-imap-perl (<< ${source:Version}), libcyrus-imap-perl22 (<< 2.4), libcyrus-imap-perl23 (<< 2.4)
