=== debian/watch ===
version=2
ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-imapd-(2\.3\..*).tar.(?:gz|bz2)
