## cyrus-imapd-2.4 2.4.9~beta1

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.9~beta1-3) unstable; urgency=low

  * Remove word 'package' from instructions to install dbX.Y-util
  * Always set RET value (thanks to Steven Kurylo for catching that)
  * Silence pidofproc in try-restart (Courtesy of Steven Kurylo)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 10:05:43 +0200

cyrus-imapd-2.4 (2.4.9~beta1-2) unstable; urgency=low

  * Read only _db and on _db_path from lib/imapoptions (Closes: #629603)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2011 08:42:32 +0200

cyrus-imapd-2.4 (2.4.9~beta1-1) unstable; urgency=low

  * Imported Upstream version 2.4.9~beta1
  * Update patches to a new release
  * Update cyrus-upgrade-db script:
    + Only upgrade databases when really needed
    + Print an error if it doesn't find needed dbX.Y-util packages
    + Don't fail the postinst script on missing dbX.Y-util
    + Silence upgrade-db script when upgrading cyrus databases
  * Only recommends dbX.Y-util to allow backports

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Jun 2011 21:54:45 +0200

cyrus-imapd-2.4 (2.4.8-9) unstable; urgency=low

  * Update Vcs-* links
  * Replace sv_{yes,no,undef} with PL_sv_{yes,no,undef}
    (Closes: #628630)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2011 12:40:26 +0200

cyrus-imapd-2.4 (2.4.8-8) unstable; urgency=low

  * Link with -ldb only; this should stop builds when the binary is linked
    with different version from db.h than from shared library
  * Cherry pick from upstream git:
    + Fix seen_db related crash (Closes: #627202)
    + Fix SASL mechs list in IMAP capability response (Closes: #624831)
  * Remove cyrus 1.5 upgrade check from init.d file
  * Rewrite init.d script to make use start-stop-daemon and lsb init
    functions as much as possible
  * Implement more graceful stop for cyrmaster - sending QUIT/TERM/KILL
    with timeouts and using sync_shutdown_file for sync_client if defined
    in /etc/imapd.conf (Closes: #627339)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2011 15:45:07 +0200
