=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
 	       quilt (>> 0.46-7~),
 	       transfig,
 	       xutils-dev
-Vcs-Git: git://git.debian.org/git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
-Vcs-Browser: http://git.debian.org/?p=git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
+Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
+Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
 Homepage: http://www.cyrusimap.org/
 
 Package: cyrus-common-2.4
@@ -240,7 +240,8 @@
 
 Package: cyrus-common
 Architecture: all
-Depends: ${misc:Depends}, adduser, db4.7-util, db4.8-util, db5.1-util
+Depends: ${misc:Depends}, adduser
+Recommends: db4.7-util, db4.8-util, db5.1-util, db-util
 Conflicts: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
 Replaces: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
 Description: Cyrus mail system - common files
