## cyrus-imapd-2.4 2.4.9~beta2

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.9~beta2-1) unstable; urgency=low

  * Imported Upstream version 2.4.9~beta2
  * Slightly update copyright file
  * Add comment about running the cyrus-upgrade-db as root and add
    copyright
  * Don't import autom4te.cache
  * Don't clean upstream generated sources (be more git-buildpackage
    friendly)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 23:08:25 +0200
