## cyrus-imapd-2.4 2.4.9

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.9-1) unstable; urgency=low

  * Imported Upstream version 2.4.9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Jun 2011 09:13:52 +0200
