=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	       groff,
 	       hardening-wrapper,
 	       libdb-dev,
-	       libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
+	       libkvm-dev [kfreebsd-any],
 	       libldap2-dev,
 	       libpam0g-dev,
 	       libsasl2-dev (>= 2.1.9),
@@ -34,8 +34,8 @@
 	       quilt (>> 0.46-7~),
 	       transfig,
 	       xutils-dev
-Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
-Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
+Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/cyrus-imapd-2.4.git
+Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/cyrus-imapd-2.4.git
 Homepage: http://www.cyrusimap.org/
 
 Package: cyrus-common-2.4
